Name:           php-pear-channel-horde
Version:        1.0
Release:        1.lux.1
Summary:        Adds pear.horde.org channel to PEAR
Group:          Development/Libraries/PHP
License:        BSD-3-Clause
Url:            http://pear.horde.org/
Source0:        http://pear.horde.org/channel.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       php php-pear
Requires:       php-tokenizer
BuildRequires:  php-tokenizer
BuildRequires:  php-pear >= 5.1.1

%description
This package adds the pear.horde.org channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T

%build
# Empty build section, nothing to build

%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}/pear.horde.org.xml

%clean

%{__rm} -rf %{buildroot}

%post

if [ $1 -eq  1 ] ; then
   pear channel-add %{pear_xmldir}/pear.horde.org.xml > /dev/null || :
else
   pear channel-update %{pear_xmldir}/pear.horde.org.xml > /dev/null ||:
fi

%postun

if [ $1 -eq 0 ] ; then
   pear channel-delete pear.horde.org.xml > /dev/null || :
fi

%files
%defattr(-,root,root,-)
%{pear_xmldir}/pear.horde.org.xml

%changelog
